Loading...
Searching...
No Matches
dolfinx::refinement::plaza Namespace Reference

Plaza mesh refinement. More...

## Functions

template<std::floating_point T>
std::tuple< graph::AdjacencyList< std::int64_t >, std::vector< T >, std::array< std::size_t, 2 >, std::optional< std::vector< std::int32_t > >, std::optional< std::vector< std::int8_t > > > | compute_refinement_data (const mesh::Mesh< T > &mesh, std::optional< std::span< const std::int32_t > > edges, Option option)

## Detailed Description

Plaza mesh refinement.

Functions for the refinement method described in Plaza and Carey "Local refinement of simplicial grids based on the skeleton", Applied Numerical Mathematics 32 (2000), 195-218.

## Function Documentation

## compute_refinement_data()

template<std::floating_point T>

std::tuple< graph::AdjacencyList< std::int64_t >, std::vector< T >, std::array< std::size_t, 2 >, std::optional< std::vector< std::int32_t > >, std::optional< std::vector< std::int8_t > > > compute_refinement_data | ( | const mesh::Mesh< T > & | mesh,
|  | std::optional< std::span< const std::int32_t > > | edges,
|  | Option | option )

Refine with markers returning new mesh data.

Parameters

  [in] | mesh | Input mesh to be refined
  [in] | edges | Indices of the edges that should be split by this refinement
  [in] | option | Control the computation of parent facets, parent cells. If an option is unselected, an empty list is returned.

Returns
  New mesh data: cell topology, vertex coordinates and parent cell index, and stored parent facet indices (if requested).